CHGPASSWD(8)

NOME
chgpasswd - aggiorna le password di gruppo in modalità non interattiva

SINOSSI

chgpasswd [opzioni]

DESCRIZIONE

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Questo comando è appositamente pensato per grossi sistemi in cui si abbia la necessità di creare molti account nello stesso momento.

OPZIONI

The options which apply to the chgpasswd command are:

-c, --crypt-method
    Utilizza il metodo specificato per cifrare le password.

    I metodi disponibili sono DES, MD5, NONE e SHA256 o SHA512 se la propria libc lo consente.

-e, --encrypted
    Le password fornite sono in forma cifrata.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-m, --md5
    Usa la cifratura MD5 anziché DES quando le password fornite non sono cifrate.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sha-rounds
    Usa il numero specificato di cicli per cifrare la password.

    Il valore 0 indica che il sistema utilizzerà il numero predefinito di cicli per il metodo crypt (5000).

    I valori minimo di 1.000 e massimo di 999.999.999 sono forzati.

    Si può utilizzare questa opzione solo con i metodi di cifratura SHA256 o SHA512.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

AVVISI/CAVEAT

Ricordarsi di impostare i permessi o umask in modo da prevenire la lettura in chiaro da parte di altri utenti.

Ci si deve accertare che le password e il metodo di cifratura rispettino le norme delle password del sistema.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    Definisce l'algoritmo di cifratura predefinito per le password (se non ne viene specificato uno a riga di comando).

    It can take one of these values: DES (default), MD5, SHA256, SHA512.

    Note: this parameter overrides the MD5_CRYPT_ENAB variable.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superseded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    Con molti cicli è più difficile trovare una password usando la forza bruta. Ma va notato che è richiesta maggiore potenza di calcolo per autenticare gli utenti.

    Se non specificato sarà la libc a scegliere il numero di cicli (5000).

    Il valore deve essere compreso tra 1.000 e 999.999.999.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

    Nota: questo ha effetto solo sulla generazione delle password di gruppo. La generazione delle password utente avviene tramite PAM ed è soggetta alla configurazione PAM. È raccomandato di impostare questa variabile in maniera consistente con la configurazione PAM.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

VEDERE ANCHE

gpasswd(1), groupadd(8), login.defs(5).